Bitcall logoBitcall API
Add your Key ID and Secret to send test requests.

List a job's results

GET
/v1/hlr/lookups/jobs/{jobId}/details

Returns the per-number results of a job, paginated. Use exports for large completed jobs.

Authorization

KeyId ApiSecret
x-key-id<token>

Your API key id.

In: header

x-api-secret<token>

Your API key secret.

In: header

Path Parameters

jobId*string

Query Parameters

page?integer
pageSize?integer
status?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/hlr/lookups/jobs/string/details?page=1&pageSize=50&status=accepted"
{
  "data": [
    {
      "lookupId": "string",
      "number": "string",
      "status": "accepted",
      "price": {
        "amount": 0,
        "currency": "string"
      },
      "processedAt": "string",
      "result": {
        "connectivityStatus": null,
        "mccmnc": null,
        "mcc": null,
        "mnc": null,
        "imsi": null,
        "msc": null,
        "originalNetwork": null,
        "originalCountryName": null,
        "originalCountryCode": null,
        "originalCountryPrefix": null,
        "currentNetwork": null,
        "ported": null,
        "portedNetworkName": null,
        "portedCountryName": null,
        "portedCountryCode": null,
        "portedCountryPrefix": null,
        "presentInNetwork": null,
        "reachable": null,
        "roaming": null,
        "roamingCountryCode": null,
        "roamingCountryName": null,
        "roamingCountryPrefix": null,
        "roamingNetworkName": null,
        "carrier": null,
        "countryCode": null,
        "numberType": null,
        "portedDate": null
      }
    }
  ],
  "meta": {
    "page": -9007199254740991,
    "pageSize": -9007199254740991,
    "total": -9007199254740991,
    "totalPages": -9007199254740991,
    "hasNext": true
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "The request is not valid. See `fields` for what to correct.",
    "requestId": "9f1c7b2e-…"
  }
}
{
  "error": {
    "code": "AUTHENTICATION_REQUIRED",
    "message": "This endpoint requires an API key.",
    "requestId": "9f1c7b2e-…"
  }
}
{
  "error": {
    "code": "NOT_FOUND",
    "message": "No such resource.",
    "requestId": "9f1c7b2e-…"
  }
}
{
  "error": {
    "code": "RATE_LIMITED",
    "message": "Too many requests. Retry after the interval in `Retry-After`.",
    "requestId": "9f1c7b2e-…"
  }
}
{
  "error": {
    "code": "INTERNAL_ERROR",
    "message": "Something went wrong on our side.",
    "requestId": "9f1c7b2e-…"
  }
}
{
  "error": {
    "code": "SERVICE_RESPONSE_INVALID",
    "message": "The upstream service returned an unexpected response.",
    "requestId": "9f1c7b2e-…"
  }
}
{
  "error": {
    "code": "SERVICE_UNAVAILABLE",
    "message": "The service is temporarily unavailable. Try again shortly.",
    "requestId": "9f1c7b2e-…"
  }
}